package org.dive4elements.river.artifacts.access;

import org.dive4elements.river.artifacts.D4EArtifact;
import org.dive4elements.river.model.DGM;

public class DGMAccess
extends      RangeAccess
{
    private DGM dgm;

    private String geoJSON;

    public DGMAccess() {
    }

    public DGMAccess(D4EArtifact artifact) {
        super(artifact);
    }

    public DGM getDGM() {
        if (dgm == null) {
            Integer sridId = getInteger("dgm");
            dgm = DGM.getDGM(sridId);
        }
        return dgm;
    }

    public String getGeoJSON() {
        if (geoJSON == null) {
            geoJSON = getString("uesk.barriers");
        }
        return geoJSON;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
